DRM_GET_PCI_DEV(9)

NAME
drm_get_pci_dev - Register a PCI device with the DRM subsystem

SYNOPSIS

int drm_get_pci_dev(struct pci_dev * pdev, const struct pci_device_id * ent, struct drm_driver * driver);

ARGUMENTS

pdev
    PCI device

ent
    entry from the PCI ID table that matches pdev

driver
    DRM device driver

DESCRIPTION

Attempt to gets inter module “drm” information. If we are first then register the character device and inter module information. Try and register, if we fail to register, backout previous work.

RETURN

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT